-- ===========================================================================
-- Better Tech Tree
-- Author: Infixo
-- 2018-12-10: Created
-- 2019-04-19: Star icons removal
-- ===========================================================================

-- just to make versioning easier
INSERT INTO GlobalParameters (Name, Value) VALUES ('BTT_VERSION_MAJOR', 3);
INSERT INTO GlobalParameters (Name, Value) VALUES ('BTT_VERSION_MINOR', 1);

-- options
INSERT INTO GlobalParameters (Name, Value) VALUES ('BTT_OPTION_HARVESTS',   1); -- set this to '0' if you want to switch OFF the harvest and removal icons
INSERT INTO GlobalParameters (Name, Value) VALUES ('BTT_OPTION_STAR_ICONS', 0); -- set this to 1 if you want to switch back ON the star icons



-- ===========================================================================
-- Remove unnecessary star icons

UPDATE Civics SET Description = NULL WHERE Description IN (
'LOC_CIVIC_MILITARY_TRADITION_DESCRIPTION',
'LOC_CIVIC_FEUDALISM_DESCRIPTION',
'LOC_CIVIC_EXPLORATION_DESCRIPTION',
'LOC_CIVIC_MERCANTILISM_DESCRIPTION',
'LOC_CIVIC_IDEOLOGY_DESCRIPTION',
'LOC_CIVIC_COLD_WAR_DESCRIPTION',
'LOC_CIVIC_GLOBALIZATION_DESCRIPTION'
) AND EXISTS (SELECT 1 FROM GlobalParameters WHERE Name = 'BTT_OPTION_STAR_ICONS' AND Value = 0);

UPDATE Technologies SET Description = NULL WHERE Description IN (
'LOC_TECH_POTTERY_DESCRIPTION',
'LOC_TECH_ANIMAL_HUSBANDRY_DESCRIPTION',
'LOC_TECH_MINING_DESCRIPTION',
'LOC_TECH_SAILING_DESCRIPTION',
'LOC_TECH_IRRIGATION_DESCRIPTION',
'LOC_TECH_MASONRY_DESCRIPTION',
'LOC_TECH_BRONZE_WORKING_DESCRIPTION',
'LOC_TECH_CELESTIAL_NAVIGATION_DESCRIPTION',
'LOC_TECH_SHIPBUILDING_DESCRIPTION',
'LOC_TECH_MATHEMATICS_DESCRIPTION',
'LOC_TECH_APPRENTICESHIP_DESCRIPTION',
'LOC_TECH_CARTOGRAPHY_DESCRIPTION',
'LOC_TECH_BANKING_DESCRIPTION',
'LOC_TECH_SQUARE_RIGGING_DESCRIPTION',
'LOC_TECH_INDUSTRIALIZATION_DESCRIPTION',
'LOC_TECH_SCIENTIFIC_THEORY_DESCRIPTION',
'LOC_TECH_STEAM_POWER_DESCRIPTION',
'LOC_TECH_REPLACEABLE_PARTS_DESCRIPTION',
'LOC_TECH_STEEL_DESCRIPTION',
'LOC_TECH_COMBUSTION_DESCRIPTION',
'LOC_TECH_ROCKETRY_DESCRIPTION',
'LOC_TECH_PLASTICS_DESCRIPTION',
'LOC_TECH_SYNTHETIC_MATERIALS_DESCRIPTION',
'LOC_TECH_ROBOTICS_DESCRIPTION'
) AND EXISTS (SELECT 1 FROM GlobalParameters WHERE Name = 'BTT_OPTION_STAR_ICONS' AND Value = 0);
